# Uses of Class
org.eclipse.jface.databinding.viewers.TreeStructureAdvisor

Packages that use TreeStructureAdvisor
Package
Description
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.

## Uses of TreeStructureAdvisor in org.eclipse.jface.databinding.viewers

Constructors in org.eclipse.jface.databinding.viewers with parameters of type TreeStructureAdvisor
Modifier
Constructor
Description
``
`ObservableListTreeContentProvider(IObservableFactory<? super E,? extends IObservableList<E>> listFactory, TreeStructureAdvisor<? super E> structureAdvisor)`
Constructs an ObservableListTreeContentProvider using the given list factory.
``
`ObservableSetTreeContentProvider(IObservableFactory<? super E,? extends IObservableSet<E>> setFactory, TreeStructureAdvisor<E> structureAdvisor)`
Constructs an ObservableListTreeContentProvider using the given list factory.